﻿namespace anbs_cp.Structs;

/// <summary>
/// Двумерный размер
/// </summary>
/// <param name="width">Длина</param>
/// <param name="height">Высота</param>
public struct TwoDimSize (int width = 0, int height = 0)
{
    #region Приватные поля
    /// <summary>
    /// Длина (приватное)
    /// </summary>
    private int _pWidth = width;

    /// <summary>
    /// Высота (приватное)
    /// </summary>
    private int _pHeight = height;
    #endregion

    #region Свойства
    /// <summary>
    /// Длина
    /// </summary>
    public int Width
    {
        readonly get => _pWidth;
        set => _pWidth = value < 0 ? 0 : value;
    }

    /// <summary>
    /// Высота
    /// </summary>
    public int Height
    {
        readonly get => _pHeight;
        set => _pHeight = value < 0 ? 0 : value;
    }
    #endregion
}