﻿using anbs_cp.OsInfo.Enums;

namespace anbs_cp.OsInfo.Interfaces;

/// <summary>
/// Информация о дисках
/// </summary>
public interface IOsDriveInfo: IOsBasicInfo
{
    /// <summary>
    /// Тип диска
    /// </summary>
    public EDriveType Type { get; set; }

    /// <summary>
    /// Модель
    /// </summary>
    public string? Model { get; set; }

    /// <summary>
    /// Общий размер
    /// </summary>
    public ulong TotalSize { get; set; }
}