﻿namespace anbs_cp.Classes;

/// <summary>
/// Состояние действия
///
/// Обновлено 2023.11.1
/// * Добавлен класс ActionState без возвращаемого значения
/// </summary>
public sealed class ActionState: ActionState<string>
{
    /// <summary>
    /// Добавляет другое состояние (например, результат другого действия, который возвращает &lt;see cref="ActionState"/&gt;).
    /// </summary>
    /// <param name="state">Запись состояния</param>
    public void AddState (ActionState state)
    {
        base.AddState(state);
    }
}