﻿namespace anbs_cp.Classes;

/// <summary>
/// Конвертер количества элементов
/// </summary>
public sealed class CountConverter (IEnumerable<string> valueNames, byte decimalPlace = 0): ValueConverter(
    valueNames, 1000, decimalPlace)
{
    /// <summary>
    /// Имена размеров файлов по умолчанию
    /// </summary>
    public static readonly string[] DefaultNames = { "", "тыс.", "млн." };
}
