using anbs_cp.Classes;
// ReSharper disable LocalizableElement

namespace demo;

public sealed partial class FileHashAndMimeType: Form
{
    public FileHashAndMimeType ()
    {
        InitializeComponent();
    }

    private void ViewButton_Click (object sender, EventArgs e)
    {
        openFileDialog.ShowDialog();
    }

private void GetFileHashAndMimeType()
    {
        if (string.IsNullOrEmpty(fileNameEdt.Text))
        {
            ResultLabel.Text = "      !";
            return;
        }

        string fileHash = new FileHash(fileNameEdt.Text).ToString();
        string fileType = FileExtension.MIMEType(fileNameEdt.Text);

        ResultLabel.Text =
            $"    \r\n{fileNameEdt.Text}\r\n :\r\n{fileHash}\r\n :\r\n{fileType}";
    }

    private void openFileDialog_FileOk (object sender, System.ComponentModel.CancelEventArgs e)
    {
        fileNameEdt.Text = openFileDialog.FileName;
    }

    private void fileNameEdt_TextChanged (object sender, EventArgs e)
    {
        GetFileHashAndMimeType();
    }
}